Public Member Functions

# wxRichTextFontTable Class Reference
[Rich Text]

`#include <wx/richtext/richtextbuffer.h>`

Inheritance diagram for wxRichTextFontTable:
[legend]

## Detailed Description

Manages quick access to a pool of fonts for rendering rich text.

##

Library: wxRichText
Category: Rich Text

See also:
  wxRichTextBuffer, wxRichTextCtrl

## Public Member Functions
| wxRichTextFontTable ()
| Default constructor.
| wxRichTextFontTable (const wxRichTextFontTable &table)
| Copy constructor.
virtual | ~wxRichTextFontTable ()
bool | IsOk () const
| Returns true if the font table is valid.
wxFont | FindFont (const wxRichTextAttr &fontSpec)
| Finds a font for the given attribute object.
void | Clear ()
| Clears the font table.
void | operator= (const wxRichTextFontTable &table)
| Assignment operator.
bool | operator== (const wxRichTextFontTable &table) const
| Equality operator.
bool | operator!= (const wxRichTextFontTable &table) const
| Inequality operator.

List of all members.

## Constructor & Destructor Documentation

wxRichTextFontTable::wxRichTextFontTable | ( |  | ) |

Default constructor.

wxRichTextFontTable::wxRichTextFontTable | ( | const wxRichTextFontTable & | table | ) |

Copy constructor.

virtual wxRichTextFontTable::~wxRichTextFontTable | ( |  | ) | `[virtual]`

## Member Function Documentation

void wxRichTextFontTable::Clear | ( |  | ) |

Clears the font table.

wxFont wxRichTextFontTable::FindFont | ( | const wxRichTextAttr & | fontSpec | ) |

Finds a font for the given attribute object.

bool wxRichTextFontTable::IsOk | ( |  | ) | const`[inline]`

Returns true if the font table is valid.

bool wxRichTextFontTable::operator!= | ( | const wxRichTextFontTable & | table | ) | const`[inline]`

Inequality operator.

void wxRichTextFontTable::operator= | ( | const wxRichTextFontTable & | table | ) |

Assignment operator.

bool wxRichTextFontTable::operator== | ( | const wxRichTextFontTable & | table | ) | const

Equality operator.

|  | [ top ]